Summary: A Differential X Protocol Compressor
Name:    dxpc
Version: 3.9.1
Release: 4%{?dist}

License: BSD
Group:   User Interface/X
URL:     http://www.vigor.nu/%{name}/
Source:  http://www.vigor.nu/%{name}/${version}/%{name}-%{version}.tgz
Patch0: dxpc-3.9.0-mandir.patch
Patch1: dxpc-3.9.0-dxpcssh.patch
Patch2: dxpc-3.9.1b1-destdir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: lzo-devel >= 1.08
%if 0%{?fedora} > 4
BuildRequires: libXt-devel
%else
BuildRequires: xorg-x11-devel
%endif

%description
dxpc is an X protocol compressor designed to improve the
speed of X11 applications run over low-bandwidth links
(such as dialup PPP connections or ADSL).


%prep
%setup -q

%patch0 -p1 -b .mandir
%patch1 -p0 -b .dxpcssh
%patch2 -p0 -b .destdir


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README CHANGES TODO
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Sep 10 2008 John Guthrie <guthrie@counterexample.org> - 3.9.1-1
- Added %%dist tag back to the release tag that had been inadvertently deleted
  by the previous update.

* Tue Sep 09 2008 John Guthrie <guthrie@counterexample.org> - 3.9.1-1
- Upgraded source code to 3.9.1-1

* Mon Jul 07 2008 Adam Jackson <ajax@redhat.com> 3.9.1-0.3.b1.1
- Fix %%fedora string comparison to be integer comparison.

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.9.1-0.3.b1
- Autorebuild for GCC 4.3

* Sun Feb 04 2007 John Guthrie <guthrie[AT]counterexample.org> - 3.9.1-0.2.b1
- Patched Makefile.in so that we can use the DESTDIR variable

* Fri Feb 02 2007 John Guthrie <guthrie[AT]counterexample.org> - 3.9.1-0.1.b1
- Upgraded source code to 3.9.1-0.1.b1

* Mon Jan 29 2007 John Guthrie <guthrie[AT]counterexample.org> - 3.9.0-3
- Removed test for %%{buildroot}
- Cleaned up warnings from rpmlint
- Removed README.mingw from the documentation as it had no relevance to
  Linux

* Mon Jan 22 2007 John Guthrie <guthrie[AT]counterexample.org> - 3.9.0-3
- Added patch to Makefile.in to make it install dxpcssh

* Mon Jan 22 2007 John Guthrie <guthrie[AT]counterexample.org> - 3.9.0-2
- Updated to 3.9.0
- Added mandir patch that was used in 3.8.2
- Changed $RPM_BUILD_ROOT to %%{buildroot} in scriptlets for consistency

* Wed Mar 1 2006 Rex Dieter <rexdieter[AT]users.sf.net>
- fc5: gcc/glibc respin

* Mon Jan 30 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.8.2-3
- drop BR: XFree86-devel (#179283)
- add BR: xorg-x11-devel/libXt-devel (#179283)

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Jul 11 2003 Rex Dieter <rexdieter at sf.net> 0:3.8.2-0.fdr.1
- BuildRequires: XFree86-devel (fedora bug #381)

* Tue Jun 17 2003 Rex Dieter <rexdieter at sf.net> 0:3.8.2-0.fdr.0
- 3.8.2
